using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class RequestQueryStringPropertyPage : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        ViewParameters();
        //GetParameters();
        //GetValues();
    }
    void ViewParameters()
    {
        Literal1.Text = "Parameters of QueryString<br>";
        foreach (string key in Request.QueryString.AllKeys)
        {
            Literal1.Text += key + "<br>";
        }
    }
    void GetValues()
    {
        Literal1.Text = "Value of Parameters in QueryString<br>";
        foreach (string key in Request.QueryString.AllKeys)
        {
            Literal1.Text += key + ": ";
            Literal1.Text += Request.QueryString.Get(key) + "<br>";
        }
    }
    void GetParameters()
    {
        Literal1.Text = "Parameters of QueryString<br>";
        for (int i = 0; i < Request.QueryString.Count; i++)
        {
            Literal1.Text+=Request.QueryString.GetKey(i) + "<br>" ;
        }
    }
}
